MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032139Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-17 14:352021-02-25 19:11
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032139: Visualization - support single-precision floating point data within Poly_Triangulation
DescriptionIt is proposed allowing Poly_Triangulation to store both single/double floating point precision data.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0098929)
git (administrator)
2021-02-17 17:28

Branch CR32139 has been created by kgv.

SHA-1: a3ec550319b0059dd7bc8edc2bd1d0561af18b21


Detailed log of new commits:

Author: kgv
Date: Wed Feb 17 14:36:03 2021 +0300

    0032139: Visualization - support single-precision floating point data within Poly_Triangulation
    
    Introduced NCollection_AliasedArray collection defining a general byte array
    to be aliased as array of elements of mutable type.
    
    Poly_ArrayOfNodes specializes this interface for collecting 2d/3d points with single/double precision.
    Poly_Triangulation relies on this new class for definition of 3D nodes and UV coordinates
    using gp_Pnt and gp_Pnt2d by default as before.
(0098934)
git (administrator)
2021-02-17 20:01

Branch CR32139 has been updated forcibly by kgv.

SHA-1: 188e5becdaff947fad4d846d716bdba22d41be57
(0098935)
git (administrator)
2021-02-17 20:12

Branch CR32139 has been updated forcibly by kgv.

SHA-1: 369d744cd160660d3479262454eb23e1ec65838b
(0098942)
git (administrator)
2021-02-18 00:20

Branch CR32139 has been updated forcibly by kgv.

SHA-1: 459128f9dcc56c0823d0463aa6892887d80b423c
(0098955)
git (administrator)
2021-02-18 13:01

Branch CR32139 has been updated forcibly by kgv.

SHA-1: 38185e58e63e4feca436acb9a1b3d3e272d99a24
(0098961)
git (administrator)
2021-02-18 14:58

Branch CR32139_1 has been created by kgv.

SHA-1: 7b739670b917579fc0eeb0ba3b0525a10055a74c


Detailed log of new commits:

Author: kgv
Date: Wed Feb 17 14:36:03 2021 +0300

    0032139: Visualization - support single-precision floating point data within Poly_Triangulation
    
    Introduced NCollection_AliasedArray collection defining a general byte array
    to be aliased as array of elements of mutable type.
    
    Poly_ArrayOfNodes specializes this interface for collecting 2d/3d points with single/double precision.
    Poly_Triangulation relies on this new class for definition of 3D nodes and UV coordinates
    using gp_Pnt and gp_Pnt2d by default as before.
    
    RWGltf_CafReader now fills in triangulation using single precision by default (as stored in the file).
(0098965)
git (administrator)
2021-02-18 17:23

Branch CR32139_1 has been updated forcibly by kgv.

SHA-1: fe275cc692863b18460ff3d27155a363536f0802
(0098967)
kgv (developer)
2021-02-18 19:45

Patch is ready for review
- OCCT branch: CR32139.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32139-CR32133_1-KGV/ [^]
(0098985)
kgv (developer)
2021-02-19 15:27

(0098996)
git (administrator)
2021-02-20 09:50

Branch CR32139_1 has been updated forcibly by kgv.

SHA-1: df193151608fe7ba43712b5c0b8a17fd0ceec35e
(0098997)
osa (developer)
2021-02-20 09:55

The patch was reviewed
(0099021)
bugmaster (administrator)
2021-02-21 11:32

Combination -
OCCT branch : IR-2021-02-20
master SHA - 127330f9d7ec8c87f4ec37ca8c93bbf65866cdee
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-20 SHA - 7c8d26f00c77b65a9d6b04524d1c1dce225fa6d7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17876.110000000237 / 17806.660000000233 [+0.39%]
Products
Total CPU difference: 11541.23000000011 / 11513.250000000124 [+0.24%]
Windows-64-VC14:
OCCT
Total CPU difference: 19352.0 / 19376.859375 [-0.13%]
Products
Total CPU difference: 12836.421875 / 12857.265625 [-0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099026)
git (administrator)
2021-02-21 11:43

Branch CR32139_1 has been deleted by inv.

SHA-1: df193151608fe7ba43712b5c0b8a17fd0ceec35e
(0099029)
git (administrator)
2021-02-21 11:43

Branch CR32139 has been deleted by inv.

SHA-1: 38185e58e63e4feca436acb9a1b3d3e272d99a24

- Related Changesets
occt: master 374dffea
Timestamp: 2021-02-17 11:36:03
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032139: Visualization - support single-precision floating point data within Poly_Triangulation

Introduced NCollection_AliasedArray collection defining a general byte array
to be aliased as array of elements of mutable type.

Poly_ArrayOfNodes specializes this interface for collecting 2d/3d points with single/double precision.
Poly_Triangulation relies on this new class for definition of 3D nodes and UV coordinates
using gp_Pnt and gp_Pnt2d by default as before.

RWGltf_CafReader now fills in triangulation using single precision by default (as stored in the file).
mod - src/NCollection/FILES Diff ] File ]
add - src/NCollection/NCollection_AliasedArray.hxx Diff ] File ]
mod - src/Poly/FILES Diff ] File ]
add - src/Poly/Poly_ArrayOfNodes.cxx Diff ] File ]
add - src/Poly/Poly_ArrayOfNodes.hxx Diff ] File ]
add - src/Poly/Poly_ArrayOfUVNodes.cxx Diff ] File ]
add - src/Poly/Poly_ArrayOfUVNodes.hxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.cxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.hxx Diff ] File ]
mod - src/RWGltf/RWGltf_CafReader.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_CafReader.hxx Diff ] File ]
mod - src/RWGltf/RWGltf_TriangulationReader.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_TriangulationReader.hxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-17 14:35 kgv New Issue
2021-02-17 14:35 kgv Assigned To => kgv
2021-02-17 17:28 git Note Added: 0098929
2021-02-17 20:01 git Note Added: 0098934
2021-02-17 20:12 git Note Added: 0098935
2021-02-18 00:20 git Note Added: 0098942
2021-02-18 13:01 git Note Added: 0098955
2021-02-18 14:58 git Note Added: 0098961
2021-02-18 17:23 git Note Added: 0098965
2021-02-18 19:45 kgv Note Added: 0098967
2021-02-18 19:45 kgv Assigned To kgv => osa
2021-02-18 19:45 kgv Status new => resolved
2021-02-19 15:27 kgv Note Added: 0098985
2021-02-20 09:50 git Note Added: 0098996
2021-02-20 09:55 osa Note Added: 0098997
2021-02-20 09:55 osa Assigned To osa => bugmaster
2021-02-20 09:55 osa Status resolved => reviewed
2021-02-21 11:32 bugmaster Note Added: 0099021
2021-02-21 11:32 bugmaster Status reviewed => tested
2021-02-21 11:37 bugmaster Test case number => Not required
2021-02-21 11:40 bugmaster Changeset attached => occt master 374dffea
2021-02-21 11:40 bugmaster Status tested => verified
2021-02-21 11:40 bugmaster Resolution open => fixed
2021-02-21 11:43 git Note Added: 0099026
2021-02-21 11:43 git Note Added: 0099029
2021-02-25 19:11 osa Relationship added related to 0032170


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker